FROM docker.io/ubuntu:18.04
RUN apt update && apt install -y python3 python3-pip python3-dev python3-sympy build-essential screen sudo psmisc gnuplot-nox htop
RUN pip3 install merklelib==1.0 pynacl==1.3.0 numpy==1.19.5

WORKDIR /home/walkingo
RUN mkdir analysis && mkdir datasets

COPY wo_docker_start /usr/bin/
COPY .screenrc ./
COPY *.py ./
COPY datasets/. datasets/

ENV SHELL=/bin/bash
CMD /usr/bin/wo_docker_start
